#!/bin/sh
#Shell Script to build the directories needed
#for creating base.tar.gz from the full Red Hat 6.1
#install on the server. March 14, 2000
#
#  NOTE: this file also creates system.fvwm95rc right after
#  it creates the directories. This is done using the cat
#  command. ******NOTICE****** Since this is a shell script
#  it tries to replace all items it sees with a leading $
#  with a value (it thinks they are variable). This means
#  where we want to write a dollar sign we have to do \$
#  Also notice the same is true for all places where you
#  intend to write out a \, this needs to be \\ or it simply
#  ignores it and brings the line from below to the line with
#  the single slash at the end of it. All of these changes
#  have been made in this file and it has been tested to work
#  properly now.  3-16-2000
#
#Chris Glendenning

#-------------------Make Directories----------------
#Create the directories necessary for the tar package to use when
#building the directory tree structure within the tar
#tested 12:45pm 3-14-2000 and tree structure was built correctly
mkdir -p ./Applications
mkdir -p ./IBM
mkdir -p ./Management
mkdir -p ./TempApps
mkdir -p ./TempNet
mkdir -p ./bin
mkdir -p ./dev
mkdir -p ./etc
mkdir -p ./lib/tcl8.0
mkdir -p ./lib/tk8.0
mkdir -p ./local/bin
mkdir -p ./lost+found
mkdir -p ./proc
mkdir -p ./root/IBM
mkdir -p ./sbin
mkdir -p ./tmp/var
mkdir -p ./usr/X11R6/lib/X11/fonts/PEX
mkdir -p ./usr/X11R6/lib/X11/fonts/Speedo
mkdir -p ./usr/X11R6/lib/X11/fonts/Type1
mkdir -p ./usr/X11R6/lib/X11/fonts/Misc
mkdir -p ./usr/X11R6/lib/X11/fonts/75dpi
mkdir -p ./usr/X11R6/lib/X11/xkb/compat
mkdir -p ./usr/X11R6/lib/X11/xkb/geometry
mkdir -p ./usr/X11R6/lib/X11/xkb/keycodes
mkdir -p ./usr/X11R6/lib/X11/xkb/symbols
mkdir -p ./usr/X11R6/lib/X11/xkb/types
mkdir -p ./usr/X11R6/lib/X11/xserver
mkdir -p ./usr/X11R6/lib/X11/xinit
mkdir -p ./usr/X11R6/lib/X11/locale/tbl_data
mkdir -p ./usr/X11R6/lib/X11/locale/th_TH.tactis
mkdir -p ./usr/X11R6/lib/X11/locale/zh
mkdir -p ./usr/X11R6/lib/X11/locale/zh_TW
mkdir -p ./usr/X11R6/lib/X11/locale/zh_TW.Big5
mkdir -p ./usr/local/mini-icons
mkdir -p ./usr/local/icons
mkdir -p ./usr/local/bin
mkdir -p ./usr/local/lib/X11/fvwm95 
mkdir -p ./usr/lib
mkdir -p ./usr/bin
mkdir -p ./usr/share
ln -sf /tmp/var var
cd etc
ln -sf /etc/XF86Config.2200.2800.skeleton XF86Config
ln -sf /usr/X11R6/bin/XF86_FBDev /usr/X11R6/bin/X
cd ../
#--------------------End of Directory Making-------------------

#--------------------Make /dev for flash-----------------------
cd dev/

mknod console c 5 1
mkdir pts
mknod ram1    b 1   1
mknod ram2    b 1   2
mknod ram3    b 1   3
mknod ram4    b 1   4
mknod audio   c 14  4
mknod audio1  c 14  20
mknod dsp     c 14  3
mknod dsp1    c 14  19
mknod fb0     c 29  0
mknod fb1     c 29  32
mknod fb2     c 29  64
mknod hda     b 3   0
mknod hda1    b 3   1
mknod hda2    b 3   2
mknod kmem    c 1   2
mknod mem     c 1   1
mknod mixer   c 14  0
mknod mixer1  c 14  16
mknod null    c 1   3
mknod psaux   c 10  1
mknod tty0    c 4   0
mknod tty1    c 4   1
mknod tty2    c 4   2
mknod tty3    c 4   3
mknod tty4    c 4   4
mknod tty5    c 4   5
mknod tty6    c 4   6
mknod tty7    c 4   7
mknod tty8    c 4   8
mknod tty9    c 4   9
mknod tty10   c 4   10
mknod tty11   c 4   11     
mknod tty12   c 4   12
mknod ptmx     c 5  2
mknod tty      c 5  0
mknod ttyp0    c 3  0
mknod ttyp1    c 3  1
mknod ttyp2    c 3  2
mknod ttyp3    c 3  3
mknod ttyp4    c 3  4
mknod ttyp5    c 3  5
mknod ptyp0    c 2  0
mknod ptyp1    c 2  1
mknod ptyp2    c 2  2
mknod ptyp3    c 2  3
mknod ptyp4    c 2  4
mknod ptyp5    c 2  5
mknod ptyp6    c 2  6
mknod ptyp7    c 2  7
mknod ptyp8    c 2  8
mknod ptyp9    c 2  9
mknod ptypa    c 2  10
mknod ptypb    c 2  11
mknod ptypc    c 2  12
mknod ptypd    c 2  13
mknod ptype    c 2  14
mknod ptypf    c 2  15
mknod ptyq0    c 2  16
mknod ptyq1    c 2  17
mknod ptyq2    c 2  18
mknod ptyq3    c 2  19
mknod ptyq4    c 2  20
mknod ptyq5    c 2  21 
mknod ptyq6    c 2  22
mknod usbmouse c 13 32
mknod random   c 1  8
mknod zero     c 1  5

chmod a+w pty*
chmod a+w null
chmod a+w ptmx
chmod a+w ttyp*
chmod a+w tty*
 
ln -sf /dev/fb0   /dev/fb
ln -sf /dev/tty0  /dev/console
ln -sf /tmp/mouse mouse

cd ../

#-------------------------End make /dev----------------------------------

#-------------------------Creating system.fvwm95rc-----------------------
#this is our custom version built on the fly when they make their base.tar.gz
#

#--------------------Finished building system.fvwm95rc-------------------


touch ./etc/fstab
touch ./etc/mtab


#----------------------End File Copying---------------------------



#The things below this line were from our master list
#which the base.tar.gz untars as and these have been
#commented since they are either empty directories
#already existing directories, or custom files
#
#-----Custom or On-The-Fly Files--------
#
# ./sbin/shutdown

